import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {AffiliationsComponent} from './affiliations.component';

import {AffiliationsRoutingModule} from './affiliations-routing.module';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {AffiliationService} from '../../openaireLibrary/connect/affiliations/affiliation.service';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {UtilitiesService} from '../../openaireLibrary/services/utilities.service';

@NgModule({
  imports: [
    AffiliationsRoutingModule, CommonModule, FormsModule, RouterModule,
    AlertModalModule
  ],
  declarations: [
    AffiliationsComponent
  ],
  providers: [
    AffiliationService, UtilitiesService, IsCommunity, ConnectAdminLoginGuard
  ],
  exports: [
    AffiliationsComponent
  ]
})

export class AffiliationsModule { }
