import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {CommunityEditFormComponent} from './community-edit-form.component';

import {CommunityService} from '../../../openaireLibrary/connect/community/community.service';
import {EmailService} from '../../../openaireLibrary/utils/email/email.service';
import {CommunityEditFormRoutingModule} from './community-edit-form-routing.module';
import {IsCommunity} from '../../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';

@NgModule({
  imports: [
    CommunityEditFormRoutingModule, CommonModule, FormsModule, RouterModule
  ],
  declarations: [
    CommunityEditFormComponent
  ],
  providers: [
    CommunityService, EmailService, IsCommunity, ConnectAdminLoginGuard
  ],
  exports: [
    CommunityEditFormComponent
  ]
})

export class CommunityEditFormModule { }
