import {NgModule} from '@angular/core';

import {EnvironmentSpecificResolver} from '../../../../openaireLibrary/utils/properties/environmentSpecificResolver';
import {EnvironmentSpecificService} from '../../../../openaireLibrary/utils/properties/environment-specific.service';
import {CommonModule} from '@angular/common';
import {CriteriaComponent} from './criteria.component';
import {CriteriaRoutingModule} from './criteria-routing.module';
import {SearchCommunityDataprovidersService} from '../../../../openaireLibrary/connect/contentProviders/searchDataproviders.service';
import {RouterModule} from '@angular/router';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {ManageCommunityContentProvidersService} from '../../../../services/manageContentProviders.service';

@NgModule({
  imports: [
    CommonModule,
    CriteriaRoutingModule,
    RouterModule,
    FormsModule,
    ReactiveFormsModule,
  ],
    declarations: [
        CriteriaComponent
    ],
    providers: [
        SearchCommunityDataprovidersService,
        ManageCommunityContentProvidersService,
        EnvironmentSpecificResolver, EnvironmentSpecificService
    ],
    exports: [CriteriaComponent]
})

export class CriteriaModule { }
