import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {CustomizationComponent} from './customization.component';

import {CustomizationRoutingModule} from './customization-routing.module';
import {ColorPickerModule} from 'ngx-color-picker';
import {FontSizeComponent} from './FontSize.component';
import {ColorComponent} from './Color.component';
import {BorderComponent} from './Border.component';
import {LayoutService} from '../../openaireLibrary/services/layout.service';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';

// import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
// import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
@NgModule({
  imports: [
    CustomizationRoutingModule, CommonModule, FormsModule, RouterModule, ColorPickerModule, AlertModalModule
  ],
  declarations: [
    CustomizationComponent, FontSizeComponent, ColorComponent, BorderComponent
  ],
  providers: [
    LayoutService
  ],
  exports: [
    CustomizationComponent
  ]
})
export class CustomizationModule {
}
