import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {FABModule} from '../../utils/fabModule.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {DivIdsComponent} from './divIds.component';
import {DivIdFormComponent} from './divId-form.component';
import {DivIdsRoutingModule} from './divIds-routing.module';
import {AdminLoginGuard} from "../../openaireLibrary/login/adminLoginGuard.guard";

@NgModule({
    imports: [
        CommonModule,  RouterModule, FormsModule, FABModule,
        AlertModalModule, ReactiveFormsModule, DivIdsRoutingModule
    ],
    declarations: [DivIdsComponent, DivIdFormComponent],
    providers: [AdminLoginGuard],
    exports: [DivIdsComponent]
})
export class DivIdsModule { }
