import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {EntitiesComponent} from './entities.component';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {FABModule} from '../../utils/fabModule.module';
import {EntityFormComponent} from './entity-form.component';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {EntitiesRoutingModule} from './entities-routing.module';
import {MatSlideToggleModule} from '@angular/material';
import {IsCommunityOrAdmin} from '../../openaireLibrary/connect/communityGuard/isCommunityOrAdmin';

@NgModule({
  imports: [
    CommonModule, RouterModule, FormsModule, FABModule,
    AlertModalModule, ReactiveFormsModule, EntitiesRoutingModule, MatSlideToggleModule
  ],
    declarations: [EntitiesComponent, EntityFormComponent],
    providers: [IsCommunityOrAdmin, ConnectAdminLoginGuard],
    exports: [EntitiesComponent]
})
export class EntitiesModule { }
