import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {FABModule} from '../../utils/fabModule.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {PageHelpContentsRoutingModule} from './page-help-contents-routing.module';
import {PageHelpContentsComponent} from './page-help-contents.component';
import {SafeHtmlPipeModule} from '../../openaireLibrary/utils/pipes/safeHTMLPipe.module';
import {MatSlideToggleModule} from '@angular/material';

@NgModule({
  imports: [
    CommonModule, RouterModule, FormsModule, FABModule, SafeHtmlPipeModule,
    AlertModalModule, ReactiveFormsModule, PageHelpContentsRoutingModule, MatSlideToggleModule
  ],
    declarations: [
        PageHelpContentsComponent
    ],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [PageHelpContentsComponent]
})
export class PageHelpContentsModule { }
