import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HttpClientModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

import { CKEditorModule } from 'ng2-ckeditor';

import {ErrorMessagesModule} from '../../openaireLibrary/utils/errorMessages.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {SafeHtmlPipeModule} from '../../openaireLibrary/utils/pipes/safeHTMLPipe.module';

import { HtmlPageContentFormComponent } from './html-page-content-form.component';
import { EditHtmlPageContentComponent } from './edit-htmlpage-content.component';
import { HtmlPageContentService } from './html-page-content.service';
import {EditHtmlPageContentRoutingModule} from './edit-html-page-content-routing.module';
import {CommonModule} from '@angular/common';

@NgModule({
    imports: [
        CommonModule,
        HttpClientModule,
        FormsModule,
        ReactiveFormsModule,
        RouterModule,
        CKEditorModule,
        ErrorMessagesModule,
        AlertModalModule,
        SafeHtmlPipeModule,
        EditHtmlPageContentRoutingModule
    ],
    declarations: [
        HtmlPageContentFormComponent,
        EditHtmlPageContentComponent,
    ],
    providers: [
        HtmlPageContentService
    ],
    exports: [EditHtmlPageContentComponent]
})

export class EditHtmlPageContentModule { }
