import { NgModule } from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {FABModule} from '../../utils/fabModule.module';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {PagesComponent} from './pages.component';
import {PageFormComponent} from './page-form.component';
import {PagesRoutingModule} from './pages-routing.module';
import {MatSlideToggleModule} from '@angular/material';
import {IsCommunityOrAdmin} from '../../openaireLibrary/connect/communityGuard/isCommunityOrAdmin';

@NgModule({
  imports: [
    CommonModule, RouterModule, FormsModule, FABModule,
    AlertModalModule, ReactiveFormsModule, PagesRoutingModule, MatSlideToggleModule
  ],
    declarations: [PagesComponent, PageFormComponent],
    providers: [IsCommunityOrAdmin, ConnectAdminLoginGuard],
    exports: [PagesComponent]
})
export class PagesModule { }
