import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';
import {DataTablesModule} from 'angular-datatables';

import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {PagingModule} from '../../openaireLibrary/utils/paging.module';
import {ManageSubscribersComponent} from './manage-subscribers.component';
import {ManageSubscribersRoutingModule} from './manage-subscribers-routing.module';
import {IsCommunity} from '../../openaireLibrary/connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../openaireLibrary/connect/communityGuard/connectAdminLoginGuard.guard';

@NgModule({
  imports: [
    ManageSubscribersRoutingModule, CommonModule, FormsModule, RouterModule,
    PagingModule, DataTablesModule, AlertModalModule
  ],
  declarations: [
    ManageSubscribersComponent
  ],
  providers: [
      IsCommunity, ConnectAdminLoginGuard
  ],
  exports: [
    ManageSubscribersComponent
   ]
})

export class ManageSubscribersModule { }
